<?php

namespace App\Models\OldDb;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Product extends Model
{
    use HasFactory;
    protected $connection = 'old_db';
    protected $table = 'product';

    public function parent() {
        return $this->belongsToMany(\App\Models\OldDB\Product::class, \App\Models\OldDB\Variation::class, 'productId', 'configurableProductId');
    }

    public function variations() {
        return $this->belongsToMany(\App\Models\OldDB\Product::class, \App\Models\OldDB\Variation::class, 'configurableProductId', 'productId')->withPivot('isDefault');
    }

}
