<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;
use OwenIt\Auditing\Auditable as AuditableTrait;

class RolePermission extends Model implements Auditable
{
    use HasFactory, AuditableTrait;

    protected $table = "role_permissions";
     /**
     * The attributes that are guarded and NOT mass assignable.
     *
     * @var array<int, string>
     */
    protected $guarded = [
        'deleted_at',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
    ];

    public function module()
    {
        return $this->hasOne(Module::class, 'id', 'module_id');
    }
    
    public function permission()
    {
        return $this->hasOne(Permission::class, 'id', 'permission_id');
    }
}
