<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;
use OwenIt\Auditing\Auditable as AuditableTrait;

class StoreProductCountByLocation extends Model implements Auditable
{
    use HasFactory, AuditableTrait;

    protected $table = 'store_product_count_by_location';
    
     /**
     * The attributes that are guarded and NOT mass assignable.
     *
     * @var array<int, string>
     */
    protected $guarded = [
        
    ];
    
    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
    ];

    protected $with = [
        'store',
        'location',
    ];

    public function store()
    {
        return $this->hasOne(Store::class, 'id', 'store_id');
    }
    public function location()
    {
        return $this->hasOne(InventoryLocation::class, 'id', 'warehouse_id');
    }

}
