<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('variations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_id')->index();
            $table->unsignedBigInteger('old_id')->nullable()->index();
            $table->string('product_no');
            $table->string('sku')->nullable();
            $table->text('description')->nullable();
            $table->string('slug')->nullable();
            $table->double('default_price', 12, 2)->default(0);
            $table->double('wholesale_price', 12, 2)->nullable();
            $table->integer('max_qty')->unsigned()->default(0);
            $table->integer('min_qty')->unsigned()->default(1);
            $table->integer('reorder_qty')->unsigned()->default(1);
            $table->string('oum')->nullable();
            $table->decimal('length', $precision=12, $scale=2)->default(0);
            $table->decimal('width', $precision=12, $scale=2)->default(0);
            $table->decimal('height', $precision=12, $scale=2)->default(0);
            $table->decimal('weight', $precision=12, $scale=2)->default(0);
            $table->longText('specs')->nullable();
            $table->boolean('published')->default(false);
            $table->datetime('published_at')->nullable();
            $table->boolean('enabled')->default(true);
            $table->boolean('default')->nullable();
            $table->timestamps();
            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('variations');
    }
};
