<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('store_products_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('store_id')->index();
            $table->unsignedBigInteger('product_id')->index();
            $table->unsignedBigInteger('variation_id')->index();
            $table->text('description')->nullable();
            $table->integer('max_order_qty')->unsigned()->default(0);
            $table->integer('min_order_qty')->unsigned()->default(1);
            $table->integer('max_qty')->unsigned()->default(1);
            $table->integer('reorder_qty')->unsigned()->default(1);
            $table->boolean('enabled')->default(true);
            $table->boolean('default')->default(false);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_costs');
    }
};
