<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AttributeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Set the connection to the external database
        DB::connection('old_db');
        
        // Fetch records from the external database using Eloquent
        $records = \App\Models\OldDB\Attribute::all();
        
        DB::connection('mysql');
        \App\Models\Attribute::truncate();
        if(count($records) > 0) {
            foreach($records as $record) {
                \App\Models\Attribute::create([
                    'id' => $record->id,
                    'name' => $record->title,
                    'enabled' => $record->status ?? false,
                    'created_at' => $record->createdAt,
                    'updated_at' => $record->updatedAt,
                ]);
            }
        }
    }
}
