<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class CategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Set the connection to the external database
        DB::connection('old_db');
        
        // Fetch records from the external database using Eloquent
        $records = \App\Models\OldDB\Category::all();
        $productCategories = \App\Models\OldDB\ProductCategory::all();

        DB::connection('mysql');
        \App\Models\Category::truncate();
        \App\Models\ProductCategory::truncate();
        if(count($records) > 0) {
            foreach($records as $record) {
                \App\Models\Category::create([
                    'id' => $record->id,
                    'name' => $record->title,
                    'slug' => $record->slug,
                    'description' => $record->content,
                    'created_at' => $record->createdAt,
                    'updated_at' => $record->updatedAt,
                ]);
            }
        }

        if(count($productCategories)>0) {
            foreach($productCategories as $record) {
                \App\Models\ProductCategory::create([
                    'product_id' => $record->productId,
                    'category_id' => $record->categoryId,
                ]);
            }
        }
    }
}
