<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class InventorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {        
        // Fetch records from the external database using Eloquent
        $records = \App\Models\Variation::all();
        $stores = \App\Models\Store::all();
        $this->reset();
        $now = date('Y-m-d H:i:s');
        if(count($records) > 0) {
            foreach($records as $record) {
                foreach($stores as $store) {
                    $store_id = $store->id;
                    $locations = \App\Models\InventoryLocation::where('store_id','=',$store_id)->get();
                    foreach($locations as $location) {
                        $warehouse_id = $location->warehouse_id;
                        $spbl = \App\Models\StoreProductCountByLocation::create([
                            'store_id' => $store_id,
                            'location_id' => $location->id,
                            'product_id' => $record->product_id,
                            'variation_id' => $record->id,
                            'quantity' => 0,
                            'created_at' => $now,
                            'updated_at' => $now,
                        ]);
                        \App\Models\Inventory::firstOrCreate(
                            [
                                'store_id' => $store_id,
                                'warehouse_id' => $warehouse_id,
                                'product_id' => $record->product_id,
                                'variation_id' => $record->id,
                            ],
                            [
                                'store_id' => $store_id,
                                'warehouse_id' => $warehouse_id,
                                'product_id' => $record->product_id,
                                'variation_id' => $record->id,
                                'quantity' => 0,
                                'created_at' => $now,
                                'updated_at' => $now,
                            ]
                        );
                    }
                }
                
            }
        }
    }

    public function reset() {
        \App\Models\StoreProductCountByLocation::truncate();
        \App\Models\StockCard::truncate();
        \App\Models\Inventory::truncate();
    }
}
