<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class MenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $menus = [
            [
                'name' => 'Dashboard',
                'parent_id' => 0,
                'url' => '/',
                'sort' => 0,
                'icon' => 'heroicons:home',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Masterfile',
                'parent_id' => 0,
                'url' => '#',
                'sort' => 8,
                'icon' => 'heroicons:folder',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Settings',
                'parent_id' => 0,
                'url' => '#',
                'sort' => 9,
                'icon' => 'heroicons:cog-6-tooth',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Management',
                'parent_id' => 0,
                'url' => '#',
                'sort' => 0,
                'icon' => 'heroicons:cube',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Transactions',
                'parent_id' => 0,
                'url' => '#',
                'sort' => 0,
                'icon' => 'heroicons:clipboard-document',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Module',
                'parent_id' => 3,
                'sort' => 0,
                'icon' => null,
                'url' => '/settings/modules',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Menu',
                'parent_id' => 3,
                'sort' => 1,
                'url' => '/settings/menus',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'User',
                'parent_id' => 3,
                'sort' => 2,
                'url' => '/settings/users',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Role',
                'parent_id' => 3,
                'sort' => 3,
                'url' => '/settings/roles',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Permission',
                'parent_id' => 3,
                'sort' => 4,
                'url' => '/settings/permissions',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Store',
                'parent_id' => 2,
                'sort' => 0,
                'url' => '/masterfile/stores',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Category',
                'parent_id' => 2,
                'sort' => 1,
                'url' => '/masterfile/categories',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Brand',
                'parent_id' => 2,
                'sort' => 2,
                'url' => '/masterfile/brands',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Attribute',
                'parent_id' => 2,
                'sort' => 3,
                'url' => '/masterfile/attributes',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Supplier',
                'parent_id' => 2,
                'sort' => 4,
                'url' => '/masterfile/suppliers',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Warehouse',
                'parent_id' => 2,
                'sort' => 5,
                'url' => '/masterfile/warehouse',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Product',
                'parent_id' => 2,
                'sort' => 6,
                'url' => '/masterfile/products',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Customer',
                'parent_id' => 2,
                'sort' => 7,
                'url' => '/masterfile/customers',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Inventory',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/inventory',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Receiving',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/stock-receiving',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Receiving',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/stock-receiving',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Transfer',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/stock-transfer',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Transfer Location',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/stock-transfer-location',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Adjustment',
                'parent_id' => 4,
                'sort' => 0,
                'url' => '/stock-adjustment',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Counter Sales',
                'parent_id' => 5,
                'sort' => 0,
                'url' => '/counter-sales',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Stock Releasing',
                'parent_id' => 5,
                'sort' => 0,
                'url' => '/stock-releasing',
                'icon' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ];

        \App\Models\Menu::insert($menus);
    }
}
