<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class ModuleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $modules = [
            [
                'code' => 'user',
                'name' => 'User',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'role',
                'name' => 'Role',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'permission',
                'name' => 'Permission',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'module',
                'name' => 'Module',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'menu',
                'name' => 'Menu',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'store',
                'name' => 'Store',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'category',
                'name' => 'Category',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'brand',
                'name' => 'Brand',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'attribute',
                'name' => 'Attribute',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'unitOfMeasure',
                'name' => 'Unit of Measure',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'supplier',
                'name' => 'Supplier',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'customer',
                'name' => 'Customer',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'warehouse',
                'name' => 'Warehouse',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'inventoryLocation',
                'name' => 'Inventory Location',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'inventory',
                'name' => 'Inventory',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'product',
                'name' => 'Product',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'variation',
                'name' => 'Variation',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'stockReceiving',
                'name' => 'Stock Receiving',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'stockTransfer',
                'name' => 'Stock Transfer',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'stockLocationTransfer',
                'name' => 'Stock Location Transfer',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'stockAdjustment',
                'name' => 'Stock Adjustment',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'stockReleasing',
                'name' => 'Stock Releasing',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'counterSales',
                'name' => 'Counter Sales',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'order',
                'name' => 'Order',
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ];

        \App\Models\Module::insert($modules);
    }
}
