<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $permissions = [
            [
                'code' => 'view',
                'name' => 'View',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'add',
                'name' => 'Add',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'edit',
                'name' => 'Edit',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'delete',
                'name' => 'Delete',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'post',
                'name' => 'Post',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'unpost',
                'name' => 'Unpost',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'approve',
                'name' => 'Approve',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'revoke',
                'name' => 'Revoke',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'code' => 'cancel',
                'name' => 'Cancel',
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ];

        \App\Models\Permission::insert($permissions);
    }
}
