<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class StoreSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Set the connection to the external database
        DB::connection('old_db');
        
        // Fetch records from the external database using Eloquent
        $records = \App\Models\OldDb\Store::all();
        
        DB::connection('mysql');
        \App\Models\Store::truncate();
        if(count($records) > 0) {
            foreach($records as $record) {
                $address = \App\Models\Address::create([
                    'details' => $record->address
                ]);
                \App\Models\Store::create([
                    'id' => $record->id,
                    'code' => $record->code,
                    'name' => $record->title,
                    'description' => $record->description,
                    'email' => $record->email,
                    'phone' => $record->phone,
                    'mobile' => $record->mobile,
                    'address_id' => $address ? $address->id : null,
                    'enabled' => $record->status ?? false,
                    'created_at' => $record->createdAt,
                    'updated_at' => $record->updatedAt,
                ]);
            }
        }
    }
}
