<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class UnitOfMeasureSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Set the connection to the external database
        DB::connection('old_db');
        
        // Fetch records from the external database using Eloquent
        $records = \App\Models\OldDB\Uom::distinct('title')
        ->whereNotIn('title',['TEST', 'TEST 1', 'TEST1', 'TEST2'])
        ->get();
        
        DB::connection('mysql');
        \App\Models\UnitOfMeasure::truncate();
        if(count($records) > 0) {
            foreach($records as $record) {
                \App\Models\UnitOfMeasure::create([
                    'id' => $record->id,
                    'code' => $record->title,
                    'name' => $record->title,
                    'active' => $record->active,
                    'created_at' => date('Y-m-d H:i:s'),
                    'updated_at' => date('Y-m-d H:i:s'),
                ]);
            }
        }
    }
}
