<?php

namespace Database\Seeders;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        \App\Models\User::factory()->create([
            'first_name' => 'Super',
            'last_name' => 'Admin',
            'name' => 'SuperAdmin',
            'username' => 'admin',
            'email' => 'admin@example.com',
            'password' => Hash::make('password'),
            'default_store_id' => 1,
            'email_verified_at' => now(),
            'remember_token' => Str::random(10),
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        \App\Models\User::factory()->create([
            'first_name' => 'Demo',
            'last_name' => 'Admin',
            'name' => 'Demo Admin',
            'username' => 'demo',
            'email' => 'demo@example.com',
            'default_store_id' => 1,
            'password' => Hash::make('password'),
            'email_verified_at' => now(),
            'remember_token' => Str::random(10),
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        \App\Models\Role::create([
            'id' => 1,
            'name' => 'Super Admin',
            'level' => 100,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        \App\Models\Role::create([
            'id' => 2,
            'name' => 'Admin',
            'level' => 99,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        \App\Models\UserRole::create([
            'role_id' => 1,
            'user_id' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        \App\Models\UserRole::create([
            'role_id' => 2,
            'user_id' => 2,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }
}
